Package org.codehaus.groovy.runtime

# Class XmlGroovyMethods

java.lang.Object
org.codehaus.groovy.runtime.XmlGroovyMethods

public class XmlGroovyMethods extends Object
This class defines all the new XML-related groovy methods which enhance the normal JDK XML classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

Author:
  Paul King, Jochen Theodorou

## Constructor Summary

Constructors
Constructor
Description
`XmlGroovyMethods()`

## Method Summary

Modifier and Type
Method
Description
`static Iterator<Node>`
`iterator(NodeList nodeList)`
Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.
`static String`
`serialize(Element element)`
Transforms the element to its text equivalent.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlGroovyMethods

public XmlGroovyMethods()

## Method Details

### iterator

public static Iterator<Node> iterator(NodeList nodeList)
Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.

Parameters:
  `nodeList` - a NodeList
Returns:
  an Iterator for a NodeList
Since:
  1.0

### serialize

public static String serialize(Element element)
Transforms the element to its text equivalent. (The resulting string does not contain a xml declaration. Use `XmlUtil.serialize(element)` if you need the declaration.)

Parameters:
  `element` - the element to serialize
Returns:
  the string representation of the element
Since:
  2.1